setx.default <- function(object, fn=mean, data=NULL, cond=FALSE, ...){
  if (any(class(object)=="vglm"))
    tt <- object@terms$terms
  else
    tt <- terms(object)
  if (cond & is.null(data)) {
    data <- eval(object$call$data, sys.parent())
    data <- data[complete.cases(model.frame(tt, data)),]
  }
  if (is.null(data)) {
    dta <- eval(object$call$data, sys.parent())
    dta <- dta[complete.cases(model.frame(tt, dta)),]
    vars <- names(dta)
    data <- dta
    for (i in 1:ncol(dta)) {
      v <- dta[,i]
      if (is.factor(v)){
        tb <- tapply(v, v, length)
        value <- factor(unlist(labels(tb[seq(along=tb)[tb==max(tb)]])))
        if (length(value)>1)
          value <- sort(value)[1]
	value <- list(value)
      }
      else if (is.numeric(v))
        value <- lapply(list(v), fn)
      else if (is.logical(v) &
              !any(vars[i]==names(model.frame(tt, dta)))){
        tb <- tapply(v, v, length)        
        value <- as.logical(unlist(labels(tb[seq(along=tb)[tb==max(tb)]])))
        if (length(value) > 1)
          value <- sort(value)[1]
        value <- list(value)
      }
      else
        stop(paste(mode(v),
                   "is not a supported variable type (use factor or numeric)."))
      data[,i] <- value
    }
    inputs <- match.call()
    opt <- vars[na.omit(pmatch(names(inputs), vars))]
    maxl <- 1
    if (length(opt) > 0)
      for (i in 1:length(opt)) {
        value <- eval(inputs[[opt[i]]], sys.parent())
        lv <- length(value)
        if (lv>1)
          if (maxl==1 || maxl==lv) {
            maxl <- lv
            data <- data[1:lv,]
          }
          else
            stop("vector inputs should have the same length.")
        if (is.factor(data[,opt[i]]))
          data[,opt[i]] <- list(as.factor(value))
        else if (is.numeric(data[,opt[i]]))
          data[,opt[i]] <- list(as.numeric(value))
        else if (is.logical(data[,opt[i]]))
          data[,opt[i]] <- list(as.logical(value))
        else
          data[,opt[i]] <- list(value)
      }
    data <- data[1:maxl,]
  }
  X <- model.matrix(delete.response(tt), data=data, contrasts =
                    if(length(object$contrasts)>0) object$contrasts
                    else NULL, xlev = object$xlevels, ...)
  if (cond) {
    if (class(object)[1] == "vglm")
      Y <- model.response(model.frame(tt, data=data), "any")
    else
      Y <- model.extract(model.frame(tt, data=data), "response")
    X <- cbind(Y, X)
    class(X) <- "setx.cond"
  }
  else 
    class(X) <- "setx"
  row.names(X) <- 1:nrow(X)
  return(as.matrix(X))
}










