\name{help.zelig}

\alias{help.zelig}

\title{HTML Help for Zelig Commands and Models}

\description{
  The \code{help.zelig} command launches html help for Zelig commands
  and supported models.  The full manual is available online at
  \url{http://gking.harvard.edu/zelig}.
  }

\usage{
help.zelig("model")
help.zelig("command")
}

\arguments{
  \item{"command"}{a Zelig command.  Note that
    \code{help.zelig("command")} will take you to an index of Zelig
    commands.  Currently, html help is available
    for: {
      \code{"zelig"}
      \code{"setx"}
      \code{"sim"}
  }
}
    \item{"model"}{a Zelig model.  Note that
    \code{help.zelig("model")} will take you to an index of supported
    models. Currently, html help is available
      for: {
	\code{"blogit"}
	\code{"bprobit"}
	\code{"exp"}
        \code{"gamma"}
        \code{"logit"}
        \code{"lognorm"}
        \code{"ls"}
        \code{"mlogit"}
        \code{"mloglm"}
        \code{"negbin"}
        \code{"normal"}
        \code{"ologit"}
        \code{"oprobit"}
        \code{"poisson"}
        \code{"probit"}
        \code{"relobit"}
        \code{"weibull"}
      }
   }
}

\seealso{The complete document is available online at
  \url{http://gking.harvard.edu/zelig}.  
}

\references{Gary King, Michael Tomz, and Jason Wittenberg (2000),
``Making the Most of Statistical Analyses: Improving Interpretation and
  Presentation,'' \emph{American Journal of Political Science}, vol. 44,
  pp.347--355.
}

\author{
  Kosuke Imai <\email{kimai@princeton.edu}>; Gary King
  <\email{king@harvard.edu}>; Olivia Lau<\email{olau@fas.harvard.edu}>
}

\keyword{documentation}








